"use strict";

{
	C3.Behaviors.CV_BoundedDragnDrop.Acts =
	{
		SetEnabled (s)
		{
			this.enabled = (s !== 0);
			
			// Got disabled: cancel any drag
			if (!this.enabled)
				this.dragging = false;
		},
		
		Drop ()
		{
			if (this.dragging)
				this.onUp();
		},
	
		//Chadori_RebornXD start
		
		SetBoundTo (boundTo)
		{
			this.boundTo = boundTo;
	
			this.getBoundValues();
		},
	
		SetBoundBy (boundBy)
		{
			this.boundBy = boundBy;
	
			this.getBoundValues();
		},
	
		SetBoundMethod (boundMethod)
		{
			this.boundMethod = boundMethod;
	
			//this.getBoundValues();
		},
	
		SetXYRadius (x, y)
		{
			this.boundXRadius = x;
			this.boundYRadius = y;
	
			this.getBoundValues();
		},
	
		SetXRadius (x)
		{
			this.boundXRadius = x;
	
			this.getBoundValues();
		},
	
		SetYRadius (y)
		{
			this.boundYRadius = y;
	
			this.getBoundValues();
		},
	
		SetBoundPosition (xI, xF, yI, yF)
		{
			this.boundMinX = xI;
			this.boundMaxX = xF;
			this.boundMinY = yI;
			this.boundMaxY = yF;
	
			this.getBoundValues();
		},
	
		SetBoundX (xI, xF)
		{
			this.boundMinX = xI;
			this.boundMaxX = xF;
	
			this.getBoundValues();
		},
	
		SetBoundY (yI, yF)
		{
			this.boundMinY = yI;
			this.boundMaxY = yF;
	
			this.getBoundValues();
		},
	
		OverwriteOrigin (x, y)
		{
			this.posX = x;
			this.posY = y;
	
			this.getBoundValues();
		}
	};
}